org.apache.jmeter.threads

## Interface RemoteThreadsListener

- All Superinterfaces:
    java.rmi.Remote
  All Known Implementing Classes:
    RemoteThreadsListenerImpl

      public interface RemoteThreadsListener
      extends java.rmi.Remote

  RMI Interface that allows notification of remote start/end of threads
  Since:
    2.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `threadFinished()`
    `void` | `threadStarted()`

- - ### Method Detail

    - #### threadStarted

          void threadStarted()
                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException` - when remote calling of the method fails
      See Also:
        `ThreadListener.threadStarted()`

    - #### threadFinished

          void threadFinished()
                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException` - when remote calling of the method fails
      See Also:
        `ThreadListener.threadFinished()`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.